openai query task
Grok Imagine task status query (GET /v1/videos/{id}). Shares the physical route with Sora; distinguish by task ID / model. Poll tasks submitted via POST /v1/videos/generations or POST /v1/videos/edits.
GET
/v1/videos/{id}Body Parametersmultipart/form-data
body object
Responses
200 application/json
response-200 object
properties enhanced_prompt string
Enhanced prompt
id* string
Resource or task ID
status* string
Status
status_update_time integer
Status update time
video_url string
Video URL
400 Bad request or validation failed application/json
response-400 object
properties error* object
401 Missing or invalid API Key application/json
response-401 object
1{
2"message": "ok"
3}
1curl -X GET "https://api.digislash.com/v1/videos/{id}" \
2-H "Authorization: Bearer <API Key>"
1▼{
2▼"detail": {
3"id": "task_01k6x15vhrff09dkkqjrzwhm60",
4▶"input": { 5 keys },
5▶"pending_info": { 20 keys },
6"status": "pending"
7},
8"enhanced_prompt": "",
9"id": "sora-2:task_01k6x15vhrff09dkkqjrzwhm60",
10"status": "pending",
11"status_update_time": 1759763621142,
12"video_url": ""
13}
